### execution::blocking_t

A property to describe what guarantees an executor makes about the blocking behaviour of their execution functions.

    struct blocking_t

##### Types

Name | Description
--- | ---
always_t | A sub-property that indicates that invocation of an executor's execution function shall block until completion of all invocations of the submitted function object.
never_t | A sub-property that indicates that invocation of an executor's execution function shall not block pending completion of the invocations of the submitted function object.
possibly_t | A sub-property that indicates that invocation of an executor's execution function may block pending completion of one or more invocations of the submitted function object.
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
blocking_t [constructor] | Default constructor. — Construct from a sub-property value.

##### Data Members

Name | Description
--- | ---
always [static] | A special value used for accessing the blocking_t::always_t property.
is_applicable_property_v [static] | The blocking_t property applies to executors, senders, and schedulers.
is_preferable [static] | The top-level blocking_t property cannot be preferred.
is_requirable [static] | The top-level blocking_t property cannot be required.
never [static] | A special value used for accessing the blocking_t::never_t property.
possibly [static] | A special value used for accessing the blocking_t::possibly_t property.

##### Friends

Name | Description
--- | ---
operator!= | Compare property values for inequality.
operator== | Compare property values for equality.

##### Requirements

Header: `asio/execution/blocking.hpp`

Convenience header: `asio/execution.hpp`